//
//  BlogAPI.h
//  BlogThing
//
//  Created by Daniel Parnell on 28/01/06.
//  Copyright 2006 Automagic Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BlogAPI : NSObject {
	NSURL* url;
	NSString* blogid;
	NSString* username;
	NSString* password;
}

+ (BlogAPI*) blogAPIWithURL:(NSURL*)aURL blogid:(NSString*)aBlogid username:(NSString*)aUsername andPassword:(NSString*)aPassword;
+ (NSString*) describeBlogError:(NSDictionary*)errorInfo;

- (id) initWithURL:(NSURL*)aURL blogid:(NSString*)aBlogid username:(NSString*)aUsername andPassword:(NSString*)aPassword;

- (void) setBlogid:(NSString*)aBlogid;
- (NSString*) blogid;
- (void) setUsername:(NSString*)aUsername;
- (NSString*) username;
- (void) setPassword:(NSString*)aPassword;
- (NSString*) password;
- (void) setURL: (NSURL*)aURL;
- (NSURL*) URL;

- (NSArray*) getCategoryList;

- (int) newPost: (NSString*)aTitle withBody: (NSString*)aBody andDateTime:(NSDate*) aDateTime shouldPublish:(BOOL)flag inCategories: (NSArray*)categories;

- (NSString*) upload: (NSData*)data withName: (NSString*)name;

@end
